Tenha uma nova experiência ao navegar no Fórum pelo computador de forma integrada ao portal principal. Acesse o seguinte link: https://www.autolisp.com.br/board/. Entretanto para dispositivos móveis recomendamos acessar este outro link: https://www.autolisp.com.br/forum/

Retornando ao Forum

Dúvidas sobre VB para AutoCAD...

Moderador: Moderadores

Responder
Avatar do usuário
sidneyab
Concreto
Concreto
Mensagens: 89
Registrado em: Seg 09 Mai 2005 12:00:00 am
Localização: Belo Horizonte

Retornando ao Forum

Mensagem por sidneyab » Qui 24 Jul 2008 6:24:59 pm

E ai galera beleza?

Faz muito tempo que não venho aqui mas agora estou tentando voltar a programação fiquei mais envolvido com a parte engenharia nos dois ultimos anos.

E já cheguei pedindo ajuda para variar.

Estou começando a estudar VBA para AutoCAD e se possivel gostaria que alguem escrevesse uma rotina, que vou postar aqui em AutoLISP , no VBa e postasse aqui como resposta para servir de estudo para mim.


[lsp](defun c:it (/ #ITCMD #ITORTHO #ITOSM
#ITTXT #ITCLAY #ITESC #ITARS
#ITRAIO #ITTH #ITPTS #ITPTB
#ITPTSPTBDIST #ITPTSPTBANG
#ITN
)
(setq #ITCMD (getvar "CMDECHO")
#ITORTHO (getvar "ORTHOMODE")
#ITOSM (getvar "OSMODE")
#ITTXT (getvar "TEXTSTYLE")
#ITCLAY (getvar "CLAYER")
)
(setvar "CMDECHO" 0)
(setvar "ORTHOMODE" 0)
(setvar "OSMODE" 0)
(setq #ITESC (getvar "DIMSCALE")
#ITARS (* #ITESC 2.5)
#ITRAIO (* #ITESC 3.0)
#ITTH (* #ITESC 2.0)
)
(if (not (tblsearch "layer" "EPC02CT"))
(command "layer" "N" "EPC02CT" "C"
"yellow" "EPC02CT" "LT" "continuous"
"EPC02CT" ""
)
)
(if (not (tblsearch "layer" "EPC03TX"))
(command "layer" "N" "EPC03TX" "C"
"cyan" "EPC03TX" "LT" "continuous"
"EPC03TX" ""
)
)
(if (not (tblsearch "style" "CL-80"))
(command "style" "CL-80" "SIMPLEX" #ITTH "1.0" "0" "N" "N" "N")
)
(while
(setq #ITPS (getpoint "\nSelecione ponto da seta: "))
(prompt
"\nSelecione ponto do balão: "
)
(setq #ITPB (getpoint #ITPS)
#ITPSPBDIST (distance #ITPS #ITPB)
#ITPSPBANG (angle #ITPS #ITPB)
)
(setvar "CLAYER" "EPC02CT")
(command "PLINE"
#ITPS
"W"
"0"
(* 0.3 #ITARS)
(polar #ITPS #ITPSPBANG #ITARS)
"W"
"0"
"0"
(setq
#ITPS (polar #ITPS ITPSPBANG (- #ITPSPBDIST #ITARS #ITRAIO))
)
)
(setvar "CLAYER" "EPC03TX")
(prompt
"\nItem: "
)
(setq #ITN (getstring))
(command "TEXT" "MC" #ITPB "0" #ITN "")
)
(setvar "CLAYER" #ITCLAY)
(setvar "OSMODE" #ITOSM)
(setvar "ORTHOMODE" #ITORTHO)
(setvar "TEXTSTYLE" #ITTXT)
(setvar "CMDECHO" #ITCMD)
)[/lsp]

Valeu.

Responder